import request from '@/utils/request'

// 分页查询客户子项信息列表
export function pageListCustItem(query) {
  return request({
    url: '/jxc/custItem/pageList',
    method: 'get',
    params: query
  })
}

// 查询客户子项信息列表
export function listCustItem(query) {
  return request({
    url: '/jxc/custItem/list',
    method: 'get',
    params: query
  })
}

// 查询客户子项信息详细
export function getCustItem(ID) {
  return request({
    url: '/jxc/custItem/' + ID,
    method: 'get'
  })
}

// 新增客户子项信息
export function addCustItem(data) {
  return request({
    url: '/jxc/custItem',
    method: 'post',
    data: data
  })
}

// 修改客户子项信息
export function updateCustItem(data) {
  return request({
    url: '/jxc/custItem',
    method: 'put',
    data: data
  })
}

// 删除客户子项信息
export function delCustItem(ID) {
  return request({
    url: '/jxc/custItem/' + ID,
    method: 'delete'
  })
}

// 导出客户子项信息
export function exportCustItem(query) {
  return request({
    url: '/jxc/custItem/' + 'export',
    method: 'post',
    params: query
  })
}
